T1DOTLESSJ(1)

NAME
t1dotlessj - create a dotless-j PostScript Type 1 font

SYNOPSIS
t1dotlessj [OPTIONS...] font [outputfile]

DESCRIPTION
T1dotlessj creates a PostScript Type 1 font whose only character is a dotless 'j' matching the input font's design. It works simply by removing the dot from the input font's 'j'. The output font has three characters: '.notdef', 'space', and 'uni0237', where 'uni0237' is the dotless 'j'. The command fails if the input font already has a dotless 'j' character, or if there seems to be no dot to remove. T1dotlessj writes the created PFA or PFB font to the standard output (but see the --output option); if no input file is supplied, it reads a PFA or PFB font from the standard input.

OPTIONS
--output=file, -o file
    Send output to file instead of standard output.

--pfb, -b
    Output a PFB font. This is the default.

--pfa, -a
    Output a PFA font.

--name=name, -n name
    Set the output font's PostScript name to name. The default is InputFontNameLCDFJ.

-q, --quiet
    Do not generate any error messages.

-h, --help
    Print usage information and exit.

-v, --version
    Print the version number and some short non-warranty information and exit.

RETURN VALUES
T1dotlessj exits with one of the following values:

0   A dotless-j font was successfully generated.

1   The font already contained a dotless-j character.

2   The font's "j" character had no dot to remove.

3   The font had no "j" character.

>3  An error occurred.

SEE ALSO

Adobe Type 1 Font Format

AUTHOR
Eddie Kohler (kohler@cs.ucla.edu)